columns:
  age_id:
    type: bigint
  base:
    type: numeric(11,2)
  code_original:
    type: text
  compte_id:
    type: bigint
    default: "0"
  contrat_id:
    type: bigint
  contrat_mois_id:
    type: bigint
  date_debut:
    type: date
  date_fin:
    type: date
  date_paie:
    type: date
  etablissement_id:
    type: bigint
  heure_contrat:
    type: numeric
  heure_payee:
    type: numeric
  heure_travaillee:
    type: numeric
  mois_activite:
    type: numeric(6,0)
  mois_paie:
    type: numeric(6,0)
  montant_avantage_nature:
    type: numeric(11,2)
  montant_brut:
    type: numeric(11,2)
  montant_brut_mensuel_moyen:
    type: numeric(11,2)
  montant_brut_annuel:
    type: numeric(11,2)
  montant_cotisation_patronale:
    type: numeric(11,2)
  montant_cotisation_salarie:
    type: numeric(11,2)
  montant_frais_imposables:
    type: numeric(11,2)
  montant_masse_salariale:
    type: numeric(11,2)
  montant_masse_salariale_provisionnee:
    type: numeric(11,2)
  montant_net_a_payer_salarie:
    type: numeric(11,2)
  montant_net_imposable_salarie:
    type: numeric(11,2)
  montant_od_net_patronale:
    type: numeric(11,2)
    default: "0"
  montant_od_net_salarie:
    type: numeric(11,2)
  montant_patronal:
    type: numeric
  montant_provisions:
    type: numeric(11,2)
  montant_salarial:
    type: numeric
  nombre:
    type: numeric
  nombre_provisions:
    type: numeric(11,2)
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_historique_paie'::regclass)"
  organisme_cotisation_id:
    type: bigint
  profil_id:
    type: bigint
    comment: @deprecated
  rubrique_id:
    type: bigint
  salarie_id:
    type: bigint
  taux_cotisation_patronale:
    type: numeric
  taux_cotisation_salarie:
    type: numeric
  ventilation_1_id:
    type: bigint
    default: "0"
  ventilation_2_id:
    type: bigint
    default: "0"
  ventilation_3_id:
    type: bigint
    default: "0"
indexes:
  i_historique_paie_1:
    column: contrat_id
    method: btree
  i_historique_paie_2:
    column: mois_activite
    method: btree
  i_historique_paie_3:
    column: mois_paie
    method: btree
  i_historique_paie_4:
    column: rubrique_id
    method: btree
  i_historique_paie_5:
    column: organisme_cotisation_id
    method: btree
  i_historique_paie_6:
    column: date_paie
    method: btree
  i_historique_paie_7:
    column: age_id
    method: btree
  i_historique_paie_8:
    column: contrat_mois_id
    method: btree
  i_historique_paie_9:
    column: salarie_id
    method: btree
  i_historique_paie_ventilation_1_id:
    column: ventilation_1_id
    method: btree
  i_historique_paie_ventilation_2_id:
    column: ventilation_2_id
    method: btree
  i_historique_paie_ventilation_3_id:
    column: ventilation_3_id
    method: btree